[Overview][Constants][Types][Classes][Procedures and functions][Variables][Index] | Reference for unit 'System' (#rtl)

# ptr

Combine segment and offset to pointer

## Declaration

Source position: systemh.inc line 825

`function ptr(`
`sel: LongInt;`
`off: LongInt`
`):farpointer;`

## Description

Ptr returns a pointer, pointing to the address specified by segment Sel and offset Off.

Remark:

1. In the 32/64-bit flat-memory model supported by Free Pascal, this function is obsolete.
2. The returned address is simply the offset.

## Errors

None.

## See also

Addr |  | Return address of a variable

## Example

    Program Example59;

    { Program to demonstrate the Ptr (compability) function.
    }

    type pString = ^String;

    Var P : pString;
        S : String;

    begin
      S:='Hello, World !';
      P:=pString(Ptr(Seg(S),Longint(Ofs(S))));
      {P now points to S !}
      Writeln (P^);
    end.

Documentation generated on: Feb 26 2014